Package: groovy.jmx.builder

## [Groovy] Class JmxClientConnectorFactory

- groovy.jmx.builder.JmxClientConnectorFactory

- This is the factory for node JmxBuilder.connectorClient. A call to this node returns an insatnce of the JMXConnector interface.

       JmxBuilder.clientConnector (
          protocol:"rmi",
          host:"...",
          port:1099,
          url:"...",
       )

  Authors:
    Vladimir Vivien
  See Also:
    JMXConnector

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Object` | `newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, onNodeChildren, onHandleNodeAttributes, onNodeCompleted, onFactoryRegistration, setChild, isLeaf, setParent, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, newInstance`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)